View Issue Details

IDProjectCategoryView StatusLast Update
0002265Far ManagerInterfacepublic2013-04-06 00:42
Reportermax rusovAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002265: Ошибки Scrollbar'ов в редакторе/viewer'е
DescriptionНеправильно отображается позиция Scrollbar'а.
Scrollbar неправильно реагирует на мышь.
Steps To Reproduce1. Включить Scrollbar'ы в редакторе/viewer'е
2. Размер окна FAR 80x25
3. Открыть файл changelog на редактирование
4. Перейти в конец файла - позиция scrollbar'а правильная
5. Нажать PageUp - позиция scrollbar'а становится неопределенной - глюк

Еще через десяток PageUp все выправляется.

Вторая ошибка заключается в неправильном определении позиции при клике мышкой. Если кликать в верхней части scrollbar'а, то он позиционируется на одно знакоместо ниже, чем должен. В нижней части scrollbar'а смещение убывает.
TagsNo tags attached.
Build3098

Relationships

has duplicate 0002277 closed2useven10 Пропадает вертикальный скролбар 

Activities

2useven10

2013-01-20 16:32

developer   bugnote:0010072

3098

max rusov

2013-01-22 23:29

reporter   bugnote:0010098

Все работает, спасибо

DrKnS

2013-01-26 19:53

administrator   bugnote:0010125

В редакторе при таскании вниз как-то рывками перемещается.

2useven10

2013-01-27 11:12

developer   bugnote:0010129

да дёргается - листает страницами.
но с правками в 3098 это никак не связано.

Issue History

Date Modified Username Field Change
2013-01-20 14:19 max rusov New Issue
2013-01-20 16:32 2useven10 Note Added: 0010072
2013-01-20 16:32 2useven10 Assigned To => 2useven10
2013-01-20 16:32 2useven10 Status new => feedback
2013-01-22 23:29 max rusov Note Added: 0010098
2013-01-22 23:29 max rusov Status feedback => assigned
2013-01-22 23:38 2useven10 Build => 3098
2013-01-22 23:38 2useven10 Status assigned => closed
2013-01-22 23:38 2useven10 Resolution open => fixed
2013-01-22 23:38 2useven10 Fixed in Version => 3.0
2013-01-26 19:53 DrKnS Note Added: 0010125
2013-01-26 19:53 DrKnS Status closed => feedback
2013-01-26 19:53 DrKnS Resolution fixed => reopened
2013-01-27 11:12 2useven10 Note Added: 0010129
2013-01-29 12:18 2useven10 Relationship added has duplicate 0002277
2013-04-06 00:42 2useven10 Status feedback => closed
2013-04-06 00:42 2useven10 Resolution reopened => fixed